ApiHealthCheck (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHealthCheck

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHealthCheck

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHealthCheck
      extends Object

  Represents a result from a health test performed by Cloudera Manager for an entity.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHealthCheck()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ApiHealthCheck` | `explanation(String explanation)`
    `String` | `getExplanation()` The explanation of this health check.
    `String` | `getName()` Unique name of this health check.
    `ApiHealthSummary` | `getSummary()` Get summary
    `int` | `hashCode()`
    `Boolean` | `isSuppressed()` Whether this health test is suppressed.
    `ApiHealthCheck` | `name(String name)`
    `void` | `setExplanation(String explanation)`
    `void` | `setName(String name)`
    `void` | `setSummary(ApiHealthSummary summary)`
    `void` | `setSuppressed(Boolean suppressed)`
    `ApiHealthCheck` | `summary(ApiHealthSummary summary)`
    `ApiHealthCheck` | `suppressed(Boolean suppressed)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHealthCheck

          public ApiHealthCheck()

  - ### Method Detail

    - #### name

          public ApiHealthCheck name(String name)

    - #### getName

          public String getName()

      Unique name of this health check.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### summary

          public ApiHealthCheck summary(ApiHealthSummary summary)

    - #### getSummary

          public ApiHealthSummary getSummary()

      Get summary
      Returns:
        summary

    - #### setSummary

          public void setSummary(ApiHealthSummary summary)

    - #### explanation

          public ApiHealthCheck explanation(String explanation)

    - #### getExplanation

          public String getExplanation()

      The explanation of this health check. Available since v11.
      Returns:
        explanation

    - #### setExplanation

          public void setExplanation(String explanation)

    - #### suppressed

          public ApiHealthCheck suppressed(Boolean suppressed)

    - #### isSuppressed

          public Boolean isSuppressed()

      Whether this health test is suppressed. A suppressed health test is not considered when computing an entity's overall health. Available since v11.
      Returns:
        suppressed

    - #### setSuppressed

          public void setSuppressed(Boolean suppressed)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.